'''
__version__.py: MOCCASIN version info

This module contains version, author and other info about MOCCASIN.

Copyright
---------

This software is part of MOCCASIN, the Model ODE Converter for Creating
Automated SBML INteroperability. Visit https://github.com/sbmlteam/moccasin/.

Copyright (C) 2014-2018 jointly by the following organizations:
    1. California Institute of Technology, Pasadena, CA, USA
    2. Icahn School of Medicine at Mount Sinai, New York, NY, USA
    3. Boston University, Boston, MA, USA

This is free software; you can redistribute it and/or modify it under the
terms of the GNU Lesser General Public License as published by the Free
Software Foundation.  A copy of the license agreement is provided in the
file named "COPYING.txt" included with this software distribution and also
available online at https://github.com/sbmlteam/moccasin/.
'''

__version__     = '1.3.0'
__title__       = 'MOCCASIN'
__description__ = 'MOCCASIN translates basic ODE-based MATLAB models of biological processes into SBML format.'
__url__         = 'https://github.com/sbmlteam/moccasin'
__author__      = 'Michael Hucka, Sarah Keating, and Harold Gomez'
__email__       = 'moccasin-dev@googlegroups.com'
__license__     = 'GNU Lesser General Public License, version 2.1'
__license_url__ = 'https://www.gnu.org/licenses/lgpl.html'
__help_url__    = 'https://github.com/sbmlteam/moccasin/blob/master/README.md'
__citation__    = '''@article{moccasin2016,
  title    = "{MOCCASIN}: converting {MATLAB} {ODE} models to {SBML}",
  author   = "G{\'o}mez, Harold F. and Hucka, Michael and Keating, Sarah M. and
              Nudelman, German and Iber, Dagmar and Sealfon, Stuart C.",
  journal  = "Bioinformatics",
  volume   =  32,
  number   =  12,
  pages    = "1905--1906",
  month    =  jun,
  year     =  2016,
  url      = "http://dx.doi.org/10.1093/bioinformatics/btw056",
  doi      = "10.1093/bioinformatics/btw056",
  pmid     = "26861819",
  pmc      = "PMC4908318"
}'''
